| Home | Libraries | People | FAQ | More

## Global _b

boost::xpressive::_b — Word boundary assertion.

## Synopsis

    unspecified _b;

## Description

'_b' matches the zero-width sub-sequence at the beginning or the end of a word. It is equivalent to (bow | eow). The regex traits are used to determine what constitutes a word character. To match a non-word boundary, use ~_b.

| Copyright © 2003, 2004 Eric Niebler